List Labels
curl --request GET \
--url https://app.famulor.de/api/user/labels \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.famulor.de/api/user/labels', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.famulor.de/api/user/labels"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.famulor.de/api/user/labels",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.famulor.de/api/user/labels"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": [
{ "id": 3, "name": "Inbound", "color": "green", "assistants_count": 7 },
{ "id": 5, "name": "Outbound", "color": "blue", "assistants_count": 2 }
],
"current_page": 1,
"per_page": 15,
"total": 2
}
List Labels
List the labels in your account
GET
/
api
/
user
/
labels
List Labels
Labels are tags you can apply to assistants. Unlike folders, an assistant can have multiple labels, and a label can be applied to many assistants. Labels are private to your account.
This endpoint returns your labels (paginated), each with the number of assistants it is applied to.
Query Parameters
Number of labels per page (1-100, default: 15)
Page number (default: 1)
Response fields
{
"data": [
{ "id": 3, "name": "Inbound", "color": "green", "assistants_count": 7 },
{ "id": 5, "name": "Outbound", "color": "blue", "assistants_count": 2 }
],
"current_page": 1,
"per_page": 15,
"total": 2
}
Was this page helpful?
⌘I

